Snow Monkey Editorバージョン 9.2.3に更新するとエラーがでます。

0
いいねをした人: 居ません
  • このトピックには3件の返信、2人の参加者があり、最後にhisanobuにより10ヶ月、 4週前に更新されました。
4件の投稿を表示中 - 1 - 4件目 (全4件中)
  • 投稿者
    投稿
  • #123674
    hisanobu
    参加者
    28

    【お使いの Snow Monkey のバージョン】20.0.2
    【お使いの Snow Monkey Blocks のバージョン】
    【お使いの Snow Monkey Editor のバージョン】9.2.3
    【お使いの PHP のバージョン】
    【お使いのブラウザ】Safari
    【当該サイトのURL】

    ### 発生している問題

    先ほどのトピックに追加しようとしたのですがちょうど閉じられたので新しく建てます。

    9.2.3に更新するとウィジェットに入れなくなりました。

    他のプラグインは停止しています。

    Fatal error: Uncaught Error: Attempt to assign property “capabilities” on null in /Users/…/Local Sites/demo/app/public/wp-content/plugins/snow-monkey-editor/App/Setup/CurrentUser.php:27 Stack trace: #0 /Users/…/Local Sites/demo/app/public/wp-includes/class-wp-hook.php(308): Snow_Monkey\Plugin\Editor\App\Setup\CurrentUser->_wp_enqueue_scripts(”) #1 /Users/…/Local Sites/demo/app/public/wp-includes/class-wp-hook.php(332): WP_Hook->apply_filters(NULL, Array) #2 /Users/…/Local Sites/demo/app/public/wp-includes/plugin.php(517): WP_Hook->do_action(Array) #3 /Users/…/Local Sites/demo/app/public/wp-admin/widgets-form-blocks.php(65): do_action(‘enqueue_block_e…’) #4 /Users/…/Local Sites/demo/app/public/wp-admin/widgets.php(32): require(‘/Users/…’) #5 {main} thrown in /Users/…/Local Sites/demo/app/public/wp-content/plugins/snow-monkey-editor/App/Setup/CurrentUser.php on line 27

    また他のサイトではウィジェット画面に入れるものの以下のようにエラーが出ます。

    Warning: Creating default object from empty value in /home/…略…/wp-content/plugins/snow-monkey-editor/App/Setup/CurrentUser.phponline27

     

    ### 試したこと

    他のプラグインの停止

    ご対応よろしくお願いいたします。

    0
    いいねをした人: 居ません
    #123678
    キタジマ タカシ
    参加者
    2242

    あー!ウィジェット確認漏れでした、すみません。
    ご報告助かります。
    確認して修正入れます!

    0
    いいねをした人: 居ません
    #123686
    キタジマ タカシ
    参加者
    2242

    v9.2.4 にアップデートするとどうでしょう!?

    0
    いいねをした人: 居ません
    #123819
    hisanobu
    参加者
    28

    更新後エラー無くなりました!

    早速のご対応ありがとうございます。

    トピックを閉じさせていただきます。

    1
    いいねをした人:
4件の投稿を表示中 - 1 - 4件目 (全4件中)
  • トピック「Snow Monkey Editorバージョン 9.2.3に更新するとエラーがでます。」には新しい返信をつけることはできません。

ドキュメント

Snow Monkey の設定方法やマニュアルを掲載しています。

ドキュメント

フォーラム

Snow Monkey の使い方やカスタマイズについてのご質問・ご要望等はサポートフォーラムで行っています。サポートフォーラムは誰でも閲覧できますが、書き込みできるのは Snow Monkey 購入者のみとなります。

サポートフォーラム

よくあるご質問

Snow Monkey のサービスについて不明な点がある場合は、まずはよくあるご質問をご確認ください。

よくあるご質問

お問い合わせ

よくあるご質問を見ても解決しなかった場合、試用版の申請については問い合わせフォームからお願いいたします。

お問い合わせ

Snow Monkey は Gutenberg ブロックエディターに対応した 100%GPL の WordPress テーマです。拡張性を意識した開発をおこなっており、カスタマイザーとブロックでスピーディーにサイトを立ち上げるだけでなく、CSS やフックを駆使した高度なカスタマイズにも柔軟に対応できます。